import board.Board;
import events.FourInARow;
import events.IWinCondition;
import interfaces.FourInARowGUI;
import interfaces.NInARowGUI;
import interfaces.TicTacToeGUI;
import objects.Empty;

import javax.swing.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

class Main {
    private static final int BOARD_WIDTH = 7;
    private static final int BOARD_HEIGHT = 6;
    private enum Gamemode {TICTACTOE, FOURINAROWCLASSIC, FOURINAROW}

    public static void main(String[] args) {
        HashMap<String, Gamemode> modeList = new HashMap<>();
        modeList.put("Tic-Tac-Toe", Gamemode.TICTACTOE);
        modeList.put("Four in a row classic", Gamemode.FOURINAROWCLASSIC);
        modeList.put("Four in a row", Gamemode.FOURINAROW);
        Object[] keys =  modeList.keySet().toArray();

        String selectedValue = (String)JOptionPane.showInputDialog(null, "Select a game from the list below:", "Car model...", JOptionPane.QUESTION_MESSAGE,null, keys, keys[0]);
        if (selectedValue == null) {
            System.exit(0);
        }
        List<IWinCondition> con = new ArrayList<>();
        con.add(new FourInARow());
        switch (modeList.get(selectedValue)) {
            case TICTACTOE:
                new TicTacToeGUI();
                break;
            case FOURINAROWCLASSIC:
                new FourInARowGUI(BOARD_WIDTH, BOARD_HEIGHT, new Board(BOARD_WIDTH, BOARD_HEIGHT, new Empty(), con));
                break;
            case FOURINAROW:
                new NInARowGUI(BOARD_WIDTH, BOARD_HEIGHT, new Board(BOARD_WIDTH, BOARD_HEIGHT, new Empty(), con));
                break;
             default:
                System.exit(0);
        }

    }
}
